@media (max-width:768px) {

/*tablet*/
    .left-section img {
        width: 90px !important;
        height: 105px;
        margin-right: 20px;
    }

    .archive-btn{
        font-size: 10px;
    }

    .records-header {
        padding: 0 20px;
      }

    .left-section h1 {
        font-size: 25px !important;
    }

    .left-section h2 {
        font-size: 10px !important;
    }

    .left-section p {
        font-size: 14px !important;
    }

    .form-group .icon {
        margin-left: 35px !important;
        margin-top: 0px;
    }

    .header-left ion-icon {
        display: inline-block !important;
    }

    .profile {
        text-align: center;
        display: flex;
        margin-top: 20px;
        margin-bottom: 30px;
        justify-content: center;
        align-items: center;
        padding-top: -50px;
    }

    .sidebar {
        width: 300px;
        height: 100vh;
        background: #333;
        color: white;
        position: fixed;
        left: -300px;
        top: 0;
        transition: 0.3s ease;
        z-index: 1000;
        padding: 20px;
        padding-top: 20px;
    }
   
    .sidebar.active{
        left: 0px;
        transition: 0.3s ease;
        padding-top: 0;
    }

    .sidebar.active~ .main-content .edit-password-page{
        width: calc(100% - 300px);
        margin-left: 300px;
    }
    
    .table {
        font-size: 7px !important;
    }
     
    .edit-password-page{
        width: 100%;
        display: inline-block;
        transition: 0.3s ease;
    }

    .profile p{
        margin-top: 20px !important;
        margin-right: -75px !important;
    }

    .icon-edit-pass{
        margin-left: 0px !important;
        margin-top: 0px !important;
    }

    .main-content h1{
        font-size: 25px !important;
        padding-top: 20px !important;
    }

    .header-right p {
        font-size: 12px !important;
    }

    .header-title h1 {
        font-size: 21px !important;
    }

    .header-title p {
        font-size: 7px !important;
    }

    th {
        padding: 0px !important;
        font-size: 8px !important;
      }

    td {
        padding: 0px !important;
        font-size: 8px !important;
      }

    
   
}

/*mobile*/
@media (max-width: 477px) {

    .icon-inner {
        pointer-events: auto !important;
    }

    .profile p {
        font-size: 14px;
        margin-top: 50px !important;
        padding-top: 30px !important;
        padding-right: 60px !important;
    }

    .header-left ion-icon {
        display: inline-block !important;
        cursor: pointer;
    }

    .left-section {
        position: absolute;
        top: 0;
        left: 50%;
        transform: translateX(-50%);
        width: 100%;
        text-align: center;
        background-color: transparent !important; /* Optional: to remove background */
    }

    .records-table {
        font-size: 7px !important;
    }

    .archive-btn{
        font-size: 10px !important;
        padding: 3px 4px !important;
    }

    .records-table {
        font-size: 5px !important;
    }

    .td, .tr{
        font-size: 5px !important;
        padding: 0px !important
    }

    .records-header {
        padding: 0 20px;
      }

    .left-section .logo {
        width: 70px !important; /* Adjust logo size */
        height: 85px !important;
        padding-bottom: 50px !important;
        padding-top: 60px !important;
        margin-left: 0px !important;
    }  

    .left-section .text-container h1,
    .left-section .text-container h2,
    .left-section .text-container p {
        margin: 5px 0;
        color: #000;
    }


    .login-box {
        padding-right: 90px;
    }

    .left-section img {
        width: 40px !important;
        height: 80px !important;
        padding-bottom: 80px !important;
        padding-top: 85px !important;
        padding-left: 0px !important;
    }

    .login-box {
        padding-top: 50px !important;
        padding-right: 0px !important
    }

    .left-section h1 {
        font-size: 17px !important;
        color: #2A2F6F !important;
    }

    .left-section h2 {
        font-size: 7px !important;
    }

    .left-section p {
        font-size: 9px !important;
    }

    .form-group .icon {
        padding-left: 235px !important;
        padding-top: 37px !important;
    }

    .header-left ion-icon {
        margin-right: 15px;
        display: none;
        cursor: pointer !important;
    }

    .logo-header {
        height: 40px !important;
    }

    .sidebar {
        top: 50px !important;
        width: 230px !important;
    }

    .profile h3 {
        font-size: 16px !important;
    }

    .profile p {
        margin: 0;
        margin-top: 0px;
        padding-top: 0px;
        padding-right: px !important;
    }

    .avatar {
        width: 75px !important;
        height: 75px !important;
    }

    nav ul li a {
        font-size: 14px !important;
    }

    .header-title h1{
        font-size: 16px !important;
    }

    .header-title p{
        font-size: 5.5px !important;
    }

    .header-right{
        display: none !important;
    }

    .main-content h1{
        font-size: 19px !important;
    }

    .edit-password-page h2{
        font-size: 18px !important;
        padding-top: 30px;
    }

    .edit-password-page p{
        font-size: 9.5px !important;
        margin-bottom: 30px !important;
    }

    .password-form label {
        margin-bottom: 8px !important;
        font-size: 12px !important;
    }

    .password-form input {
        font-size: 12px !important;
    }

    .update-button {
        font-size: 13px !important;
    }

    .icon-edit-pass {
        margin-left: 350px !important;
        margin-top: 40px !important;
        position: fixed !important;
    }

    .status-box h2 {
        font-size: 16px !important;
    }

    .status-box p {
        font-size: 11px !important;
    }

    .status-box {
        font-size: 11px !important;
    }

    th {
        padding: 5px !important;
        font-size: 8px !important;
      }

    td {
        padding: 6px !important;
        font-size: 8px !important;
      }
      
}

body {
    margin: 0;
    font-family: Verdana, sans-serif;
    display: flex;
    height: 100vh;
    
}

.left-section {
    background-color: #2A2F6F;
    color: #F1F1F1;
    flex: 1;
    display: flex;
    flex-direction: row; 
    justify-content: center;
    align-items: center;
    padding: 20px; 
}

.left-section img {
    width: 130px;
    margin-right: 20px;
}

.left-section .text-container {
    display: flex;
    flex-direction: column;
    align-items: flex-start; 
}

.left-section h1 {
    margin: 0;
    font-size: 35px;
    margin-bottom: 10px;
}

.left-section h2 {
    margin: 0;
    font-size: 13.5px;
    padding-bottom: 15px;
    font-family: "Lucida Console", monospace;
    border-bottom: 4px solid #D6CD28;
}

.left-section p {
    margin-top: 10px;
    font-size: 18px;
    font-style: italic;
}

.right-section {
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: center;
}

.login-box {
    width: 300px;
}

.login-box h2 {
    margin-bottom: 20px;
    font-size: 24px;
    padding-bottom: 15px;
    border-bottom: 2px solid #2A2F6F;
    display: inline-block;
    font-family: "Andalé Mono" monospace;
    align-items: flex-start; 
    font-weight: bold none;
}

.form-group {
    margin-bottom: 15px;
}

.form-group label {
    display: block;
    margin-bottom: 5px;
    font-size: 11.5px;
}

.form-group {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
  }

.form-group input {
    width: 100%;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
}

.form-group .icon {
    position: absolute;
    margin-left: 265px;
    padding-top: 36px;
    color: #a4a4a4;
}

.login-button {
    width: 100%;
    padding: 10px;
    background-color: #2A2F6F;
    color: white;
    border: none;
    border-radius: 4px;
    font-size: 16px;
    cursor: pointer;
}

.login-button:hover {
    background-color: #1D235E;
}
/*------------------------------ARCHIVE BUTTON--------------------------*/

/* Add to your existing student-styles.css */

.records-header {
    display: flex;
    justify-content: flex-end;
  }
  
  .archive-btn {
    display: flex;
    align-items: center;
    gap: 8px;
    background-color: #3e427c;
    color: #ffffff;
    padding: 10px 20px;
    border-radius: 4px;
    text-decoration: none !important;
    font-family:
      "Martel Sans",
      -apple-system,
      Roboto,
      Helvetica,
      sans-serif;
    font-size: 14px;
    font-weight: 700;
    transition: background-color 0.2s ease;
  }
  
  .archive-btn:hover {
    background-color: #2d3159cc;
  }
  
  .archive-icon {
    width: 20px;
    height: 20px;
    object-fit: contain;
  }

/*------------------------------HEADER-----------------------------------*/
.header {
    /*
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px 20px;
    background-color: #ffffff;
    box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.1);
    position: fixed;
    width: 100%; 
    z-index: 10; 
    */

    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 20px;
    background-color: #ffffff;
    box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.1);
    position: fixed;
    width:100%;
    z-index: 10; /* Ensure it stays above other content */
    
}

.header-left {
    display: flex;
    align-items: center;
}

.logo {
    height: 150px;
    margin-right: 15px;
}
.logo-header {
    height: 50px;
    margin-right: 15px;
}

.header-title h1 {
    font-size: 23px;
    font-family: sans-serif;
    color: #2A2F6F;
    margin: 0;
}

.header-title p {
    font-size: 7.5px;
    color: #000000;
    margin: 0;
}

.header-right {
    display: flex;
    align-items: center;
    font-size: 14px;
    color: #2b2b2b;
    padding-right: 50px;
    gap: 10px;
}

.notification-icon {
    font-size: 18px;
    margin-right: 10px;
}

.date {
    font-weight: normal;
}

.header-left ion-icon {
    margin-right: 15px;
    display: none;
    cursor: pointer;
}

/*------------------------------HOME RESET PAGE--------------------------------*/

body {
    margin: 0;
    font-family: Verdana, sans-serif;
    display: flex;
    height: 100vh;
    background-color: #D9D9D9;
}



a {
    text-decoration: none;
    color: #2A2F6F;
}

a:hover {
    text-decoration: underline;
    margin: 0;
}

.dashboard-container {
    display: flex;
    height: 100%;
    width: 100%;
    background-color: #D9D9D9;
}

.sidebar {
    /*position: fixed; 
    top: 70px; 
    left: 0;
    width: 300px;
    height: calc(100% - 70px); 
    background-color: #2A2F6F;
    color: #F1F1F1;
    display: flex;
    flex-direction: column;
    padding: 30px;
    */
    top: 70px;
    
    width: 300px;
    background-color: #ffffff;
    color: #d3d3d3;
    display: flex;
    flex-direction: column;
    padding: 30px;
    padding-left: 0px;
    padding-right: 0px;
}

.profile {
    text-align: center;
    display: flex;
    margin-top: 30px;
    margin-bottom: 30px;
    justify-content: center;
    align-items: center;
}

.avatar {
    width: 80px;
    height: 80px;
    background-size: cover;
    background-position: center;
    border-radius: 40%;
    margin-top: 30px;
    margin-bottom: 10px;
    cursor: pointer; 
    border: 1px solid rgb(151, 151, 151);
}

.camera {
    padding-left: 40%;
    margin-top: 30px;
    color: #8e8e8e;
    padding-right: 40px;
}


.profile h3 {
    
    margin: 0;
    font-size: 18px;
    color: #000000;
    margin-top: 55px;
    margin-left: 10px;
    padding-bottom: 45px;
}

.profile p {
    font-size: 14px;
    color: #000000;
    margin: 0;
    position: absolute;
    margin-top: 50px;
    padding-top: 30px;
}

.sidebar-text {
    margin: 0;
    font-size: 25px;
    color: #000000;
    margin-top: 50px;
    margin-left: 15px;
    margin-bottom: -20px;
}

nav ul {
    list-style: none;
    padding: 0;
    margin: 0;
    width: 100%;
    margin-left: 15px;
}

nav ul li {
    width: 100%;
    margin-bottom: 5px;
}

nav ul li a {
    
    display: flex;
    align-items: center;
    color: #F1F1F1;
    font-size: 16px;
    padding: 10px 20px;
    transition: background-color 0.3s;
    color: #000;
    text-decoration: none;
}

nav ul li a:hover {
    font-weight:bold;
    font-size: 20px;
    margin-left: -10px;
    /*background-color: #1D235E;
    color: #F1F1F1;*/
    color: #2A2F6F;
    text-decoration: none;
}
nav ul li a.active {
    font-weight:bold;
    font-size: 20px;
    margin-left: -10px;
    /*background-color: #1D235E;
    color: #F1F1F1;*/
    color: #2A2F6F;
}

nav ul li ion-icon {
    margin-right: 10px;
}

.main-content {
    flex: 1;
    display: flex;
    flex-direction: column;
    padding: 20px;
    overflow-y: auto;
}

.main-content {
    margin-top: 50px; /* Adjust based on your header height */
    padding: 20px;
}

.main-content h1{
    font-family:Arial, Helvetica, sans-serif;
    font-style: bold none;
    padding-left: 35px;
    font-weight: 800;
    padding-top: 60px;
}

.status-section {
    display: flex;
    justify-content: center;
    align-items: center;
    flex: 1;
}

.status-box {
    text-align: center;
    background-color: #fff;
    padding: 30px;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    max-width: 500px;
    width: 100%;
    border: 1px solid rgb(154, 154, 154);
}

.status-box ion-icon {
    font-size: 50px;
    color: #2A2F6F;
    margin-bottom: 20px;
}

.status-box h2 {
    margin: 0 0 10px;
    font-size: 20px;
    color: #333;
}

.status-box p {
    margin: 0 0 20px;
    font-size: 14px;
    color: #666;
    border-bottom: 2px solid #2A2F6F;
    padding-bottom: 15px;

}

/*--------------------------------------TABLE  RECORD--------------------------------------------*/
table {
    width: 100%;
    border-collapse: collapse;
    background-color: #ffffff;
    font-family:
      "Martel Sans",
      -apple-system,
      Roboto,
      Helvetica,
      sans-serif;
    margin-top: 20px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    overflow-x: auto;
  }
  
  thead {
    background-color: #f5f5f5;
  }
  
  th {
    padding: 16px;
    text-align: left;
    font-weight: 800;
    font-size: 12px;
    letter-spacing: 0.72px;
    color: #000000;
    border-bottom: 1px solid rgba(0, 0, 0, 0.1);
  }
  
  td {
    padding: 16px;
    font-size: 12px;
    color: #000000;
    border-bottom: 1px solid rgba(0, 0, 0, 0.1);
  }
  
  tbody tr:hover {
    background-color: #fafaff;
  }
  
  /* First column width for number */
  th:first-child,
  td:first-child {
    width: 60px;
    padding-left: 24px;
  }
th {
    background-color: #f1eded;
}
tr:nth-child(even) {
    background-color: #f9f9f9;
}

/*back button*/
.back-button-container {
    align-self: start;
    display: flex;
    align-items: stretch;
    gap: 22px;
    font-family:
      "Arial Rounded MT Bold",
      -apple-system,
      Roboto,
      Helvetica,
      sans-serif;
    font-size: 14px;
    color: #000000;
    font-weight: 400;
    white-space: nowrap;
    cursor: pointer;
    border: none;
    background: none;
    padding: 0;
    margin-left: 45px;
  }
  
  .back-button-icon {
    aspect-ratio: 0.62;
    object-fit: contain;
    object-position: center;
    width: 8px;
    margin-top: auto;
    margin-bottom: auto;
    flex-shrink: 0;
  }
  

/*--------------------------------------EDIT PASSWORD--------------------------------------------*/

.edit-password-page {
    border-radius: 10px;
    max-width: 800px;
    margin: 0 auto;
    padding-top: 10.5%;
}

.edit-password-page h2 {
    margin-bottom: 0;
    font-size: 24px;
}

.edit-password-page p {
    margin-left: 35px;
    margin-bottom: 50px;
    font-size: 15px;
}

.password-form .form-group {
    margin-bottom: 15px;
}

.password-form label {
    display: block;
    margin-bottom: 8px;
    font-size: 14px;
    color: #333;
}

.password-form input {
    width: 100%;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
    box-sizing: border-box;
    background-color: #d4d3d3;
    border-color:  rgb(171, 171, 171);

    font-size: 14px;
}

.password-form input:focus {
    border-color: #2A2F6F;
    outline: none;
}

.update-button {
    width: 100%;
    padding: 10px;
    background-color: #2A2F6F;
    color: #fff;
    border: none;
    border-radius: 5px;
    font-size: 16px;
    cursor: pointer;
    margin-top: 10px;
}

.update-button:hover {
    background-color: #1D235E;
}

.icon-edit-pass{
    position: absolute;
    margin-left: 762px;
    margin-top: 45px;
}


/*--------------------------------------Footer--------------------------------------------*/

.footer{
    background-color: #2A2F6F; /* NU Laguna's blue */
    border-top: 1px solid yellow; 
    color: white;
    text-align: center;
    padding: 20px;
    position: fixed;
    bottom: 0;
    width: 100%;
    font-size: 5.5px;
    font-family: "Verdana", sans-serif;
}
